Bug 214281 - x11/libxcb: Fails in build with Python 3 after r425430
Summary: x11/libxcb: Fails in build with Python 3 after r425430
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-06 19:32 UTC by John W. O'Brien
Modified: 2016-11-07 09:37 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (x11)
john: maintainer-feedback?


Attachments
Poudriere log excerpt (1.13 KB, text/plain)
2016-11-06 19:32 UTC, John W. O'Brien
no flags Details
x11/libxcb: Backport py3k regression fixes (4.06 KB, patch)
2016-11-06 19:34 UTC, John W. O'Brien
john: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John W. O'Brien 2016-11-06 19:32:31 UTC
Created attachment 176699 [details]
Poudriere log excerpt

Attempts to build this port with Python 3.5 (at least) fail at the build target (see attached poudriere log excerpt from 10.3-STABLE amd64 w/py3.5).

These errors were fixed upstream shortly after 1.12 was tagged. The following patch can be applied to resolve this error.

====
author	Thomas Klausner <wiz@NetBSD.org>	2016-05-19 15:31:18 (GMT)
committer	Uli Schlachter <psychon@znc.in>	2016-05-28 10:20:59 (GMT)
commit	8740a288ca468433141341347aa115b9544891d3 (patch)
tree	07fca9af69f89d2e81fe450f9e9ff97465e4efcc /src/c_client.py
parent	d34785a34f28fa6a00f8ce00d87e3132ff0f6467 (diff)
Fix inconsistent use of tabs vs. space.
Needed for at least python-3.5.x.

Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
Signed-off-by: Uli Schlachter <psychon@znc.in>

https://cgit.freedesktop.org/xcb/libxcb/commit/src/c_client.py?id=8740a288ca468433141341347aa115b9544891d3
====
Comment 1 John W. O'Brien 2016-11-06 19:34:40 UTC
Created attachment 176700 [details]
x11/libxcb: Backport py3k regression fixes

Changelog:

*   Backport upstream fix for py3k compatibility
*   While here, pet portlint

QA:

portlint -- OK
poudriere --
    10.3-STABLE amd64 python2.7 -- OK
    10.3-STABLE amd64 python3.4 -- OK
    10.3-STABLE amd64 python3.5 -- OK
Comment 2 commit-hook freebsd_committer 2016-11-07 09:36:40 UTC
A commit references this bug:

Author: rm
Date: Mon Nov  7 09:36:15 UTC 2016
New revision: 425598
URL: https://svnweb.freebsd.org/changeset/ports/425598

Log:
  x11/libxcb: fix build with python3

  Add upstream patches to fix build/packaging with python3 as default after
  the recent update. python3 is not default, so no PORTREVISION bump is required.

  PR:		214281
  Submitted by:	John W. O'Brien <john@saltant.com>
  Approved by:	portmgr (just-fix-it blanket)

Changes:
  head/x11/libxcb/Makefile
  head/x11/libxcb/files/patch-src_c__client.py
  head/x11/libxcb/files/patch-tests-check_public.c
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2016-11-07 09:37:05 UTC
Committed, thank you!